VersionLoggerListener (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.startup

## Class VersionLoggerListener

- java.lang.Object
- - org.apache.catalina.startup.VersionLoggerListener

- All Implemented Interfaces:
    LifecycleListener

      public class VersionLoggerListener
      extends java.lang.Object
      implements LifecycleListener

  Logs version information on startup.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm` The string manager for this package.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionLoggerListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLogArgs()`
    `boolean` | `getLogEnv()`
    `boolean` | `getLogProps()`
    `void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
    `void` | `setLogArgs(boolean logArgs)`
    `void` | `setLogEnv(boolean logEnv)`
    `void` | `setLogProps(boolean logProps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

      The string manager for this package.

  - ### Constructor Detail

    - #### VersionLoggerListener

          public VersionLoggerListener()

  - ### Method Detail

    - #### getLogArgs

          public boolean getLogArgs()

    - #### setLogArgs

          public void setLogArgs(boolean logArgs)

    - #### getLogEnv

          public boolean getLogEnv()

    - #### setLogEnv

          public void setLogEnv(boolean logEnv)

    - #### getLogProps

          public boolean getLogProps()

    - #### setLogProps

          public void setLogProps(boolean logProps)

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.